require 'pg'

module TripAdvisor
  class TranslationDBAccess

    # Create the connection instance.
  def connect
    @conn = PG.connect(
      :host => 'rivendell.tripadvisor.com',
      :dbname => 'tripmaster',
      :user => 'tripmaster_ro')
  end

  # Disconnect the back-end connection.
    def disconnect
      @conn.close
    end

  # Get translations for keys in array
  def getTranslations(key_names)
    queryString = "SELECT v.locale, k.name, v.value, k.status, k.note
                   FROM t_translationkeys k
                   INNER JOIN t_translationvalues v ON (k.id = v.translationid)
                   WHERE k.name IN ('#{key_names.join("', '")}')
                   ORDER BY v.locale DESC;"

    @conn.exec(queryString) do |result|
        result.each do |row|
          yield row if block_given?
        end
    end
  end

  # Get translation for a single key
  def getTranslation(key_name)
    queryString = "SELECT v.locale, k.name, v.value, k.status, k.note
                   FROM t_translationkeys k
                   INNER JOIN t_translationvalues v ON (k.id = v.translationid)
                   WHERE k.name = '#{key_name}'
                   ORDER BY v.locale DESC;"

    @conn.exec(queryString) do |result|
        result.each do |row|
          yield row if block_given?
        end
    end
  end

  end
end
