# -*- encoding: utf-8 -*-
# stub: trip_advisor 0.0.21 ruby lib

Gem::Specification.new do |s|
  s.name = "trip_advisor".freeze
  s.version = "0.0.21"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Blake Watters".freeze]
  s.date = "2015-10-07"
  s.description = "A Ruby interface for interacting with TripAdvisor development API's".freeze
  s.email = ["bwatters@tripadvisor.com".freeze]
  s.homepage = "http://engineering.tripadvisor.com".freeze
  s.licenses = ["Commercial".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "This library provides interfaces to a number of TripAdvisor internal API's used for development purposes.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.6.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 1.6.7"])
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.3.5"])
    s.add_runtime_dependency(%q<twine>.freeze, ["~> 0.4.0"])
    s.add_runtime_dependency(%q<highline>.freeze, ["~> 1.6.19"])
    s.add_runtime_dependency(%q<rugged>.freeze, ["~> 0.19.0"])
    s.add_runtime_dependency(%q<oj>.freeze, ["~> 2.1.6"])
    s.add_runtime_dependency(%q<cocoapods>.freeze, ["~> 0.38.2"])
    s.add_runtime_dependency(%q<xcpretty>.freeze, ["~> 0.1.7"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.10.6"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.14.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.7.1"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 1.13.0"])
    s.add_development_dependency(%q<excon>.freeze, ["~> 0.26.0"])
    s.add_development_dependency(%q<tomdoc>.freeze, ["~> 0.2.5"])
  else
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.6.0"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 1.6.7"])
    s.add_dependency(%q<addressable>.freeze, ["~> 2.3.5"])
    s.add_dependency(%q<twine>.freeze, ["~> 0.4.0"])
    s.add_dependency(%q<highline>.freeze, ["~> 1.6.19"])
    s.add_dependency(%q<rugged>.freeze, ["~> 0.19.0"])
    s.add_dependency(%q<oj>.freeze, ["~> 2.1.6"])
    s.add_dependency(%q<cocoapods>.freeze, ["~> 0.38.2"])
    s.add_dependency(%q<xcpretty>.freeze, ["~> 0.1.7"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.10.6"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.14.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.7.1"])
    s.add_dependency(%q<webmock>.freeze, ["~> 1.13.0"])
    s.add_dependency(%q<excon>.freeze, ["~> 0.26.0"])
    s.add_dependency(%q<tomdoc>.freeze, ["~> 0.2.5"])
  end
end
